# gce_instance_location_europe

## Background

Compute instances (VM) location have to comply with data soveriegnty regulation

If you are moving an instance across regions, you must pick a different IP address for the VM instance.

## Fix

[Moving an instance between zones](https://cloud.google.com/compute/docs/instances/moving-instance-across-zones)

## References

- [Data sovereignty](https://en.wikipedia.org/wiki/Data_sovereignty)
- [GDPR General Data Protection Regulation](https://eur-lex.europa.eu/legal-content/EN/TXT/?uri=CELEX%3A32016R0679)
- [GCE Regions and zones](https://cloud.google.com/compute/docs/regions-zones)
